/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef INTERFACE_H
#  define INTERFACE_H

#  define NMENU 5 +1            // +1 to skip the 0 value for glLoadName
#  define NCYL  10              // number of cylinder in each menu

enum
{ NOMENU, MP, RULES, SCORES, OPTIONS, FINDS };  // menu names order
float cyls[NCYL][4];            // 0: rotation  1,2,3: rgb color
char *cylstext[NCYL];           // pointer to the text to draw (NULL if cylinder not to be drawn at all)

void changemenu (int);
void KeyUp (int c, int x, int y);
void SKeyDown (int c, int x, int y);
void KeyDown (unsigned char c, int x, int y);
void mouse (int button, int state, int x, int y);
void motionactive (int x, int y);
void motionpassive (int x, int y);

#  define MAXCHLANG 100
#  define MAXLANG 10
#  define NTEXT 48
int nlang;
char text[MAXLANG][NTEXT][MAXCHLANG];
char lang[MAXLANG][MAXCHLANG];
int uselangnb;

#  define MAXCHSKIN 100
#  define MAXSKIN 10
int nskin;
char skin[MAXSKIN][MAXCHSKIN];
int useskinnb;

int currentmenu;
int object;
int introstarttime;             // time at which the introduction started



#endif /* guard */
